For the complete documentation index, see llms.txt. This page is also available as Markdown.

Wallet

Wallet balance queries

Get AMA balance

get
/api/wallet/balance/{pk}

Retrieve AMA token balance for an account

Path parameters
pkstringRequired

Public key (Base58 encoded)

Responses
200

Balance

application/json
errorstringOptionalExample: ok
balancestringOptional
get/api/wallet/balance/{pk}
GET /api/wallet/balance/{pk} HTTP/1.1
Host: nodes.amadeus.bot
Accept: */*
200

Balance

{
  "error": "ok",
  "balance": "text"
}

Get token balance

get
/api/wallet/balance/{pk}/{symbol}

Retrieve token balance for a specific asset

Path parameters
pkstringRequired

Public key (Base58 encoded)

symbolstringRequired

Token symbol (e.g., AMA)

Responses
200

Balance

application/json
errorstringOptionalExample: ok
balancestringOptional
get/api/wallet/balance/{pk}/{symbol}
GET /api/wallet/balance/{pk}/{symbol} HTTP/1.1
Host: nodes.amadeus.bot
Accept: */*
200

Balance

{
  "error": "ok",
  "balance": "text"
}

Get all balances

get
/api/wallet/balance_all/{pk}

Retrieve all token balances for an account

Path parameters
pkstringRequired

Public key (Base58 encoded)

Responses
200

All balances

application/json
errorstringOptionalExample: ok
get/api/wallet/balance_all/{pk}
GET /api/wallet/balance_all/{pk} HTTP/1.1
Host: nodes.amadeus.bot
Accept: */*
200

All balances

{
  "error": "ok",
  "balances": {
    "ANY_ADDITIONAL_PROPERTY": "text"
  }
}

Last updated